﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Windows.Threading;
using System.Diagnostics;
using Microsoft.Phone.Info;

namespace PerformanceDemo
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();

#if DEBUG
            DispatcherTimer timer = new DispatcherTimer();
            timer.Interval = TimeSpan.FromSeconds(1);
            timer.Tick += new EventHandler(timer_Tick);
            //timer.Start();
#endif
        }

        void timer_Tick(object sender, EventArgs e)
        {
            Debug.WriteLine("Current: {0}\r\nPeak: {1}",
              DeviceExtendedProperties.GetValue("ApplicationCurrentMemoryUsage"),
              DeviceExtendedProperties.GetValue("ApplicationPeakMemoryUsage"));
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.NavigationService.Navigate(new Uri("/GPUPage.xaml", UriKind.Relative));
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            this.NavigationService.Navigate(new Uri("/StackPanelPage.xaml", UriKind.Relative));
        }
    }
}